Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Dateien im Verzeichniss

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Dateien im Verzeichniss (679 mal gelesen)
Ex-Mitglied
cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17748
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 02. Jan. 2007 16:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Rabbit 007 10 Unities + Antwort hilfreich

Habe im Forum mal die Suchfunktion verwendet :
wenn die Seite wieder läuft bei CADwiesel.de / Bauklötze / oder so ähnlich..

Evtl findest du ja noch andere Ansätze im Forum über die Suche !?
(sorry das die Antwort nicht gehaltvoller ist  )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Niggemann
Mitglied



Sehen Sie sich das Profil von Niggemann an!   Senden Sie eine Private Message an Niggemann  Schreiben Sie einen Gästebucheintrag für Niggemann

Beiträge: 137
Registriert: 31.10.2003

Win 98 Se, ACAD 2004, XP Prof, ACAD 2004 und ACAD 2010

erstellt am: 02. Jan. 2007 18:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Rabbit 007 10 Unities + Antwort hilfreich

Hallo Rabbit 007,
das Tool müßte Mehrfachauswahl heisen, ist gut gemacht und sehr nützlich.

mfg
Niggemann

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 02. Jan. 2007 18:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Rabbit 007 10 Unities + Antwort hilfreich

kannst auch das mal testen :
(defun DT:GETFILES(INITIALDIR FILTERSTRING / DLG FILES)
  (or(and(=(type INITIALDIR)'STR)
        (vl-file-directory-p INITIALDIR)
    )
    (setq INITIALDIR(getvar "dwgprefix"))
  )
  (or(=(type FILTERSTRING)'STR)   
    (setq FILTERSTRING "Autocad(DWG)| *.dwg |Autocad(DXF)|*.dxf")
  ) 
  (if(setq DLG (vlax-create-object "userAccounts.CommonDialog"))
    (progn
      (vlax-put-property  DLG  'filter
        (vlax-make-variant FILTERSTRING)
      )
      (vlax-put-property DLG 'filterindex 1)
      (vlax-put-property DLG 'flags (+ 4 8 512 2048))
      (vlax-put-property DLG 'initialdir INITIALDIR)
      (vlax-invoke DLG 'showopen)
      (setq FILES(vlax-get-property DLG 'filename))     
      (vlax-release-object DLG)
    )
  ) 
  FILES
)

die Rückgabe müßte natürlich noch etwas aufbereitet werden..kanst dich ja mal daran versuchen und die Aufberietung z.B. in eine Liste hier dann posten.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ex-Mitglied
CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 03. Jan. 2007 12:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Rabbit 007 10 Unities + Antwort hilfreich

Schau mal hier und kämpf dich durch

------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ex-Mitglied
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 2833
Registriert: 15.10.2003

Win 7/64 Prof & Win 10/64 Pro
AutoCAD 2011 - 2017, Expresstools, VPRaster
BricsCAD V16

erstellt am: 05. Jan. 2007 20:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Rabbit 007 10 Unities + Antwort hilfreich

Im Detail stehe ich zwar auf der Leitung, aber ist DosLib für solche Dinge nicht einen Versuch wert?
http://www.de.emea.mcneel.com/doslib.htm

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de